package com.ruoyi.project.service.impl;

import java.util.List;

import com.ruoyi.project.domain.TrsDomainWords;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.mapper.TrsUrlResultMapper;
import com.ruoyi.project.domain.TrsUrlResult;
import com.ruoyi.project.service.ITrsUrlResultService;
import com.ruoyi.common.core.text.Convert;

/**
 * 错外链监测Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-03-30
 */
@Service
public class TrsUrlResultServiceImpl implements ITrsUrlResultService 
{
    @Autowired
    private TrsUrlResultMapper trsUrlResultMapper;

    /**
     * 查询错外链监测
     * 
     * @param id 错外链监测主键
     * @return 错外链监测
     */
    @Override
    public TrsUrlResult selectTrsUrlResultById(Long id)
    {
        return trsUrlResultMapper.selectTrsUrlResultById(id);
    }

    /**
     * 查询错外链监测列表
     * 
     * @param trsUrlResult 错外链监测
     * @return 错外链监测
     */
    @Override
    public List<TrsUrlResult> selectTrsUrlResultList(TrsUrlResult trsUrlResult)
    {
        return trsUrlResultMapper.selectTrsUrlResultList(trsUrlResult);
    }

    /**
     * 新增错外链监测
     * 
     * @param trsUrlResult 错外链监测
     * @return 结果
     */
    @Override
    public int insertTrsUrlResult(TrsUrlResult trsUrlResult)
    {
        return trsUrlResultMapper.insertTrsUrlResult(trsUrlResult);
    }

    /**
     * 修改错外链监测
     * 
     * @param trsUrlResult 错外链监测
     * @return 结果
     */
    @Override
    public int updateTrsUrlResult(TrsUrlResult trsUrlResult)
    {
        return trsUrlResultMapper.updateTrsUrlResult(trsUrlResult);
    }

    /**
     * 批量删除错外链监测
     * 
     * @param ids 需要删除的错外链监测主键
     * @return 结果
     */
    @Override
    public int deleteTrsUrlResultByIds(String ids)
    {
        return trsUrlResultMapper.deleteTrsUrlResultByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除错外链监测信息
     * 
     * @param id 错外链监测主键
     * @return 结果
     */
    @Override
    public int deleteTrsUrlResultById(Long id)
    {
        return trsUrlResultMapper.deleteTrsUrlResultById(id);
    }



}
